Subject: bug#11747: 24.1.50; called-interactively-p vs. advice

From: Glenn Morris <[email-masked]>
Date: Sun, 24 Jun 2012 21:14:55 -0400

Michael Heerdegen wrote:

> `called-interactively-p' returns wrong values when called inside
> commands that are adviced.

Old "interactive-p" had the same issue, though maybe that mattered less.
It's to do with the way advice is implemented. It actually goes out of
its way to avoid using call-interactively unless it has to (subrs).
See comments in advice.el header.